Bug 871080 - Queryserver is not visible in locator
Summary: Queryserver is not visible in locator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-aviary
Version: Development
Hardware: All
OS: Linux
high
high
Target Milestone: 2.3
: ---
Assignee: Pete MacKinnon
QA Contact: Tomas Rusnak
URL:
Whiteboard:
Depends On:
Blocks: 733515 807398 810982
TreeView+ depends on / blocked
 
Reported: 2012-10-29 14:57 UTC by Martin Kudlej
Modified: 2013-03-06 18:47 UTC (History)
5 users (show)

Fixed In Version: condor-7.8.7-0.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-06 18:47:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0564 normal SHIPPED_LIVE Low: Red Hat Enterprise MRG Grid 2.3 security update 2013-03-06 23:37:09 UTC

Description Martin Kudlej 2012-10-29 14:57:44 UTC
Description of problem:
I've tried to configure locator and I don't see QueryServer in list of type ANY and CUSTOM.

$condor_config_val -dump | egrep "LOCATOR|PUBLISH"
AVIARY_LOCATOR_MISSED_UPDATES = 2
AVIARY_LOCATOR_PRUNE_INTERVAL = 20
AVIARY_PUBLISH_INTERVAL = 10
AVIARY_PUBLISH_LOCATION = TRUE
$./locator.py --type=ANY --s --r=/etc/condor/certs/ca.crt --k=/etc/condor/certs/client.key --c=/etc/condor/certs/client.crt 
SCHEDULER | JOB | mrg-qe-04.lab.eng.brq.redhat.com | https://mrg-qe-04.lab.eng.brq.redhat.com:57597/services/job/
$ps aux | grep query
condor   11233  0.0  0.0  14552  6676 ?        Ss   10:02   0:00 aviary_query_server -f -f


Version-Release number of selected component (if applicable):
condor-7.8.6-0.3.el5
condor-aviary-7.8.6-0.3.el5
condor-classads-7.8.6-0.3.el5
condor-qmf-7.8.6-0.3.el5
condor-wallaby-base-db-1.24-1.el5
condor-wallaby-client-5.0.3-2.el5
condor-wallaby-tools-5.0.3-2.el5
python-condorutils-1.5-5.el5
python-wallabyclient-5.0.3-2.el5
ruby-condor-wallaby-5.0.3-2.el5
ruby-wallaby-0.16.1-2.el5
wallaby-0.16.1-2.el5
wallaby-utils-0.16.1-2.el5


How reproducible:
100%

Steps to Reproduce:
1. Install condor, condor-aviary and setup aviary, locator and queryserver
2. try locator.py - example of condor-aviary package
  
Actual results:
There is no queryserver in output of locator.py even if it is running and type of query is CUSTOM or ANY.

Expected results:
There will be queryserver in output of locator.py and in result of aviary API at least in CUSTOM and ANY query.

Comment 3 Tomas Rusnak 2012-11-22 10:40:14 UTC
Retested with:

$CondorVersion: 7.8.7 Nov 15 2012 BuildID: RH-7.8.7-0.5.el6 $
$CondorPlatform: X86_64-RedHat_6.3 $

condor-wallaby-base-db-1.24-2.el6.noarch
python-condorutils-1.5-6.el6.noarch
condor-aviary-7.8.7-0.5.el6.x86_64
condor-wallaby-client-5.0.3-2.el6.noarch
condor-wallaby-tools-5.0.3-2.el6.noarch
condor-7.8.7-0.5.el6.x86_64
condor-debuginfo-7.8.7-0.5.el6.x86_64
condor-classads-7.8.7-0.5.el6.x86_64
ruby-condor-wallaby-5.0.3-2.el6.noarch

# ./locator.py --type=ANY --s --r=/etc/condor/certs/ca.crt --k=/etc/condor/certs/client.key --c=/etc/condor/certs/client.crt
CUSTOM | QUERY_SERVER | cm_host.example.com | http://node1.example.com:60046/services/query/

# ./locator.py --type=ANY --s --r=/etc/condor/certs/ca.crt --k=/etc/condor/certs/client.key --c=/etc/condor/certs/client.crt
CUSTOM | QUERY_SERVER | cm_host.example.com | http://node2.example.com:33864/services/query/

As you can see, there are rotating QueryServers from all nodes and no schedds. The result should be (3 nodes with aviary) - 3 queryservers and 3 schedulers.

Comment 4 Pete MacKinnon 2012-11-26 16:35:50 UTC
Implementation was constructing the key from the wrong piece of info (the pool name). This should have been SCHEDD_NAME and is now corrected. Please note that SCHEDD_NAME is the distinguishing data for schedulers and query servers in HA deployment. Multiple query servers configured with the same SCHEDD_NAME will show only the first registered endpoint (not a bug).

Comment 5 Martin Kudlej 2012-12-20 13:30:58 UTC
Tested on RHEL 5.9/6.4 x i386/x86_64 with
condor-7.8.7-0.6.el6_3.x86_64
condor-aviary-7.8.7-0.6.el6_3.x86_64
condor-classads-7.8.7-0.6.el6_3.x86_64
condor-wallaby-base-db-1.25-1.el6_3.noarch
condor-wallaby-client-5.0.4-1.el6_3.noarch
condor-wallaby-tools-5.0.4-1.el6_3.noarch
python-condorutils-1.5-6.el6.noarch
python-qpid-0.18-4.el6.noarch
python-qpid-qmf-0.18-12.el6_3.x86_64
python-wallabyclient-5.0.4-1.el6_3.noarch
qpid-cpp-client-0.18-12.el6_3.x86_64
qpid-cpp-server-0.18-12.el6_3.x86_64
qpid-qmf-0.18-12.el6_3.x86_64
qpid-tools-0.18-7.el6_3.noarch
ruby-condor-wallaby-5.0.4-1.el6_3.noarch
ruby-qpid-qmf-0.18-12.el6_3.x86_64
ruby-wallaby-0.16.1-2.el6.noarch
wallaby-0.16.1-2.el6.noarch
wallaby-utils-0.16.1-2.el6.noarch
and it works. --> move to Tomas to test it on RHCS

Comment 6 Tomas Rusnak 2013-01-09 10:48:38 UTC
Tested on:

$CondorVersion: 7.8.8 Dec 14 2012 BuildID: RH-7.8.8-0.1.el6 $
$CondorPlatform: X86_64-RedHat_6.3 $

# ./locator.py --type=ANY -s -r=/etc/condor/certs/ca.crt -k=/etc/condor/certs/client.key -c=/etc/condor/certs/client.crt 
CUSTOM | QUERY_SERVER | ha-schedd-HASchedd1@ | http://node1:45039/services/query/
CUSTOM | QUERY_SERVER | ha-schedd-HASchedd2@ | http://node2:37425/services/query/
CUSTOM | QUERY_SERVER | ha-schedd-HASchedd3@ | http://node3:48322/services/query/

Working on RHCS

>>> VERIFIED

Comment 8 errata-xmlrpc 2013-03-06 18:47:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html


Note You need to log in before you can comment on or make changes to this bug.